RoR gem install requires mime-type updates

software development

#1

I am trying to install the rflickr gem (to use to get access to Flickrs API easily from Ruby on Rails) and I keep running into problems with that the gem require updates to mime-types. I dont seem to have write access to the files where this info is kept. If I install the gem with the -f option to force install even if the dependencies are not met the install works fine, but later when I wanna use the rflickr funcitonality I keep running into problems since the mime-types are not updated.

Have anybody successfully installed and used rflickr and can give me any hints? Have anybody else run into similar problems with other gems and found a way around it?